
Foreman - Bug #12666

Mass assignment should be allowed for locked attribute of template

12/02/2015 09:41 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2953

  

Description

Mass assignment can be used in the API, and in seeds by Remote Execution.

Related issues:

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Has duplicate Foreman - Bug #12667: Plugins fail to seed provisioning templates Duplicate 12/02/2015

Associated revisions

Revision 778655b2 - 12/02/2015 11:23 AM - Stephen Benjamin

fixes #12666 - add locked to attr_accessible for templates

History

#1 - 12/02/2015 09:41 AM - Stephen Benjamin

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#2 - 12/02/2015 09:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2953 added

#3 - 12/02/2015 09:51 AM - Stephen Benjamin

- Subject changed from Mass assignment should be allowed for locked attribute of tempalte to Mass assignment should be allowed for locked attribute

of template

#4 - 12/02/2015 10:39 AM - Dominic Cleal

- Has duplicate Bug #12667: Plugins fail to seed provisioning templates added

#5 - 12/02/2015 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 778655b2c7bce55d94dba6d8c6b4652ad0885a13.

#6 - 12/03/2015 02:51 AM - Dominic Cleal

- translation missing: en.field_release set to 71
